---
title: Update tenancy config
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > OCI Integration
---

# Update tenancy config{% #update-tenancy-config %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                        |
| ----------------- | ----------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/integration/oci/tenancies/{tenancy_ocid} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/integration/oci/tenancies/{tenancy_ocid} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/integration/oci/tenancies/{tenancy_ocid}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/integration/oci/tenancies/{tenancy_ocid}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/integration/oci/tenancies/{tenancy_ocid}  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/integration/oci/tenancies/{tenancy_ocid}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/integration/oci/tenancies/{tenancy_ocid} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/integration/oci/tenancies/{tenancy_ocid} |

### Overview

Update an existing tenancy config. You can modify authentication credentials, enable/disable collection types, update service filters, and change region settings. Warning: We recommend using the Datadog web UI to avoid unintended update effects.

### Arguments

#### Path Parameters

| Name                           | Type   | Description                               |
| ------------------------------ | ------ | ----------------------------------------- |
| tenancy_ocid [*required*] | string | The OCID of the tenancy config to update. |

### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field     | Field                         | Type     | Description                                                                                                                                         |
| ---------------- | ----------------------------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
|                  | data [*required*]        | object   | The data object for updating an existing OCI tenancy integration configuration, including the tenancy ID, type, and updated attributes.             |
| data             | attributes                    | object   | Attributes for updating an existing OCI tenancy integration configuration, including optional credentials, region settings, and collection options. |
| attributes       | auth_credentials              | object   | OCI API signing key credentials used to update the Datadog integration's authentication with the OCI tenancy.                                       |
| auth_credentials | fingerprint                   | string   | The fingerprint of the OCI API signing key used for authentication.                                                                                 |
| auth_credentials | private_key [*required*] | string   | The PEM-encoded private key corresponding to the OCI API signing key fingerprint.                                                                   |
| attributes       | cost_collection_enabled       | boolean  | Whether cost data collection from OCI is enabled for the tenancy.                                                                                   |
| attributes       | home_region                   | string   | The home region of the OCI tenancy (for example, us-ashburn-1).                                                                                     |
| attributes       | logs_config                   | object   | Log collection configuration for updating an OCI tenancy, controlling which compartments and services have log collection enabled.                  |
| logs_config      | compartment_tag_filters       | [string] | List of compartment tag filters to scope log collection to specific compartments.                                                                   |
| logs_config      | enabled                       | boolean  | Whether log collection is enabled for the tenancy.                                                                                                  |
| logs_config      | enabled_services              | [string] | List of OCI service names for which log collection is enabled.                                                                                      |
| attributes       | metrics_config                | object   | Metrics collection configuration for updating an OCI tenancy, controlling which compartments and services are included or excluded.                 |
| metrics_config   | compartment_tag_filters       | [string] | List of compartment tag filters to scope metrics collection to specific compartments.                                                               |
| metrics_config   | enabled                       | boolean  | Whether metrics collection is enabled for the tenancy.                                                                                              |
| metrics_config   | excluded_services             | [string] | List of OCI service names to exclude from metrics collection.                                                                                       |
| attributes       | regions_config                | object   | Region configuration for updating an OCI tenancy, specifying which regions are available, enabled, or disabled for data collection.                 |
| regions_config   | available                     | [string] | List of OCI regions available for data collection in the tenancy.                                                                                   |
| regions_config   | disabled                      | [string] | List of OCI regions explicitly disabled for data collection.                                                                                        |
| regions_config   | enabled                       | [string] | List of OCI regions enabled for data collection.                                                                                                    |
| attributes       | resource_collection_enabled   | boolean  | Whether resource collection from OCI is enabled for the tenancy.                                                                                    |
| attributes       | user_ocid                     | string   | The OCID of the OCI user used by the Datadog integration for authentication.                                                                        |
| data             | id [*required*]          | string   | The OCID of the OCI tenancy to update.                                                                                                              |
| data             | type [*required*]        | enum     | OCI tenancy resource type. Allowed enum values: `oci_tenancy`                                                                                       |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "auth_credentials": {
        "fingerprint": "string",
        "private_key": ""
      },
      "cost_collection_enabled": false,
      "home_region": "string",
      "logs_config": {
        "compartment_tag_filters": [],
        "enabled": false,
        "enabled_services": []
      },
      "metrics_config": {
        "compartment_tag_filters": [],
        "enabled": false,
        "excluded_services": []
      },
      "regions_config": {
        "available": [],
        "disabled": [],
        "enabled": []
      },
      "resource_collection_enabled": false,
      "user_ocid": "string"
    },
    "id": "",
    "type": "oci_tenancy"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a single OCI tenancy integration configuration.

| Parent field   | Field                       | Type     | Description                                                                                                                        |
| -------------- | --------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------- |
|                | data                        | object   | A single OCI tenancy integration configuration resource object containing the tenancy ID, type, and configuration attributes.      |
| data           | attributes                  | object   | Attributes of an OCI tenancy integration configuration, including authentication details, region settings, and collection options. |
| attributes     | billing_plan_id             | int32    | The identifier of the billing plan associated with the OCI tenancy.                                                                |
| attributes     | config_version              | int64    | Version number of the integration the tenancy is integrated with                                                                   |
| attributes     | cost_collection_enabled     | boolean  | Whether cost data collection from OCI is enabled for the tenancy.                                                                  |
| attributes     | dd_compartment_id           | string   | The OCID of the OCI compartment used by the Datadog integration stack.                                                             |
| attributes     | dd_stack_id                 | string   | The OCID of the OCI Resource Manager stack used by the Datadog integration.                                                        |
| attributes     | home_region                 | string   | The home region of the OCI tenancy (for example, us-ashburn-1).                                                                    |
| attributes     | logs_config                 | object   | Log collection configuration for an OCI tenancy, indicating which compartments and services have log collection enabled.           |
| logs_config    | compartment_tag_filters     | [string] | List of compartment tag filters scoping log collection to specific compartments.                                                   |
| logs_config    | enabled                     | boolean  | Whether log collection is enabled for the tenancy.                                                                                 |
| logs_config    | enabled_services            | [string] | List of OCI service names for which log collection is enabled.                                                                     |
| attributes     | metrics_config              | object   | Metrics collection configuration for an OCI tenancy, indicating which compartments and services are included or excluded.          |
| metrics_config | compartment_tag_filters     | [string] | List of compartment tag filters scoping metrics collection to specific compartments.                                               |
| metrics_config | enabled                     | boolean  | Whether metrics collection is enabled for the tenancy.                                                                             |
| metrics_config | excluded_services           | [string] | List of OCI service names excluded from metrics collection.                                                                        |
| attributes     | parent_tenancy_name         | string   | The name of the parent OCI tenancy, if applicable.                                                                                 |
| attributes     | regions_config              | object   | Region configuration for an OCI tenancy, indicating which regions are available, enabled, or disabled for data collection.         |
| regions_config | available                   | [string] | List of OCI regions available for data collection in the tenancy.                                                                  |
| regions_config | disabled                    | [string] | List of OCI regions explicitly disabled for data collection.                                                                       |
| regions_config | enabled                     | [string] | List of OCI regions enabled for data collection.                                                                                   |
| attributes     | resource_collection_enabled | boolean  | Whether resource collection from OCI is enabled for the tenancy.                                                                   |
| attributes     | tenancy_name                | string   | The human-readable name of the OCI tenancy.                                                                                        |
| attributes     | user_ocid                   | string   | The OCID of the OCI user used by the Datadog integration for authentication.                                                       |
| data           | id                          | string   | The OCID of the OCI tenancy.                                                                                                       |
| data           | type [*required*]      | enum     | OCI tenancy resource type. Allowed enum values: `oci_tenancy`                                                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "config_version": 2,
      "cost_collection_enabled": true,
      "dd_compartment_id": "ocid.compartment.test",
      "dd_stack_id": "ocid.stack.test",
      "home_region": "us-ashburn-1",
      "logs_config": {
        "compartment_tag_filters": [
          "compartment.test"
        ],
        "enabled": true,
        "enabled_services": [
          "compute"
        ]
      },
      "metrics_config": {
        "compartment_tag_filters": [
          "compartment.test"
        ],
        "enabled": true,
        "excluded_services": [
          "compute"
        ]
      },
      "regions_config": {
        "available": [
          "us-ashburn-1",
          "us-phoenix-1"
        ],
        "disabled": [
          "us-phoenix-1"
        ],
        "enabled": [
          "us-ashburn-1"
        ]
      },
      "resource_collection_enabled": true,
      "user_ocid": "ocid.user.test"
    },
    "id": "ocid.tenancy.test",
    "type": "oci_tenancy"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export tenancy_ocid="CHANGE_ME" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/integration/oci/tenancies/${tenancy_ocid}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "auth_credentials": {
        "fingerprint": "",
        "private_key": "\u003cPRIVATE_KEY\u003e"
      },
      "cost_collection_enabled": true,
      "home_region": "us-ashburn-1",
      "logs_config": {
        "compartment_tag_filters": [
          "datadog:true",
          "env:prod"
        ],
        "enabled": true,
        "enabled_services": [
          "service_1",
          "service_2"
        ]
      },
      "metrics_config": {
        "compartment_tag_filters": [
          "datadog:true",
          "env:prod"
        ],
        "enabled": true,
        "excluded_services": [
          "service_1",
          "service_2"
        ]
      },
      "regions_config": {
        "available": [
          "us-ashburn-1",
          "us-phoenix-1"
        ],
        "disabled": [
          "us-phoenix-1"
        ],
        "enabled": [
          "us-ashburn-1"
        ]
      },
      "resource_collection_enabled": true,
      "user_ocid": "ocid.user.test"
    },
    "id": "ocid.tenancy.test",
    "type": "oci_tenancy"
  }
}
EOF 
                
##### 

```python
"""
Update tenancy config returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.oci_integration_api import OCIIntegrationApi
from datadog_api_client.v2.model.update_tenancy_config_data import UpdateTenancyConfigData
from datadog_api_client.v2.model.update_tenancy_config_data_attributes import UpdateTenancyConfigDataAttributes
from datadog_api_client.v2.model.update_tenancy_config_data_attributes_auth_credentials import (
    UpdateTenancyConfigDataAttributesAuthCredentials,
)
from datadog_api_client.v2.model.update_tenancy_config_data_attributes_logs_config import (
    UpdateTenancyConfigDataAttributesLogsConfig,
)
from datadog_api_client.v2.model.update_tenancy_config_data_attributes_metrics_config import (
    UpdateTenancyConfigDataAttributesMetricsConfig,
)
from datadog_api_client.v2.model.update_tenancy_config_data_attributes_regions_config import (
    UpdateTenancyConfigDataAttributesRegionsConfig,
)
from datadog_api_client.v2.model.update_tenancy_config_data_type import UpdateTenancyConfigDataType
from datadog_api_client.v2.model.update_tenancy_config_request import UpdateTenancyConfigRequest

body = UpdateTenancyConfigRequest(
    data=UpdateTenancyConfigData(
        attributes=UpdateTenancyConfigDataAttributes(
            auth_credentials=UpdateTenancyConfigDataAttributesAuthCredentials(
                fingerprint="",
                private_key="----BEGIN PRIVATE KEY-----\nMIIEvgIBADANBgkqhkiG9w0BAQEFAASCBKgwggSkAgEAAoIBAQCdvSMmlfLyeD4M\nQsA3WlrWBqKdWa5eVV3/uODyqT3wWMEMIJHcG3/quNs8nh9xrK1/JkQT2qoKEHqR\nC5k59jN6Vp8em8ARJthMgam9K37ELt+IQ/G8ySTSuqZG8T4cHp/cs3fAclNqttOl\nYnGr4RbVAgMBAAECggEAGZNLGbyCUbIRTW6Kh4d8ZVC+eZtJMqGmGJ3KfVaW8Pjn\nQGWfSuJCEe2o2Y8G3phlidFauICnZ44enXA17Rhi+I/whnr7FIyQk2bR7rv+1Uhc\nmOJygWX5eFFMsledgVAdIAl9Luk2nykx7Un3g6rtbl/Vs+5k4m7ITLFMpCHzsJLU\nnm8kBzDOqY2JUkMd08nL88KL6QywWtal05UESzQpNFXd0e5kxYfexeMCsLsWP0mc\nquMLRbn7NuBjCbe9VU2kmIvcfDDaWjurT7d5m1OXx1cc8p6P4PFZTVyCjdhiWOr3\nLQXZ4/vdZNR3zgEHypRoM6D9Yq99LWUOUEMrdiSLQQKBgQDQkh7C1OtAXnpy7F6R\nW+/I3zBHici2p7A57UT7VECQ1IVGg37/uus83DkuOtdZ33JmHLAVrwLFJvUlbyjx\nl6dc/1ms40L5HFdLgaVtd4k0rSPFeOSDr6evz0lX4yBuzlP0fEh+o3XHW7mwe2G+\nrWCULF/Uqza66fjbCSKMNgLIXQKBgQDBm9nZg/s4S0THWCFNWcB1tXBG0p/sH5eY\nPC1H/VmTEINIixStrS4ufczf31X8rcoSjSbO7+vZDTTATdk7OLn1I2uGFVYl8M59\n86BYT2Hi7cwp7YVzOc/cJigVeBAqSRW/iYYyWBEUTiW1gbkV0sRWwhPp67m+c0sP\nXpY/iEZA2QKBgB1w8tynt4l/jKNaUEMOijt9ndALWATIiOy0XG9pxi9rgGCiwTOS\nDBCsOXoYHjv2eayGUijNaoOv6xzcoxfvQ1WySdNIxTRq1ru20kYwgHKqGgmO9hrM\nmcwMY5r/WZ2qjFlPjeAqbL62aPDLidGjoaVo2iIoBPK/gjxQ/5f0MS4N/YQ0zWoYBueSQ0DGs\n-----END PRIVATE KEY-----",
            ),
            cost_collection_enabled=True,
            home_region="us-ashburn-1",
            logs_config=UpdateTenancyConfigDataAttributesLogsConfig(
                compartment_tag_filters=[
                    "datadog:true",
                    "env:prod",
                ],
                enabled=True,
                enabled_services=[
                    "service_1",
                    "service_2",
                ],
            ),
            metrics_config=UpdateTenancyConfigDataAttributesMetricsConfig(
                compartment_tag_filters=[
                    "datadog:true",
                    "env:prod",
                ],
                enabled=True,
                excluded_services=[
                    "service_1",
                    "service_2",
                ],
            ),
            regions_config=UpdateTenancyConfigDataAttributesRegionsConfig(
                available=[
                    "us-ashburn-1",
                    "us-phoenix-1",
                ],
                disabled=[
                    "us-phoenix-1",
                ],
                enabled=[
                    "us-ashburn-1",
                ],
            ),
            resource_collection_enabled=True,
            user_ocid="ocid.user.test",
        ),
        id="ocid.tenancy.test",
        type=UpdateTenancyConfigDataType.OCI_TENANCY,
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = OCIIntegrationApi(api_client)
    response = api_instance.update_tenancy_config(tenancy_ocid="tenancy_ocid", body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Update tenancy config returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::OCIIntegrationAPI.new

body = DatadogAPIClient::V2::UpdateTenancyConfigRequest.new({
  data: DatadogAPIClient::V2::UpdateTenancyConfigData.new({
    attributes: DatadogAPIClient::V2::UpdateTenancyConfigDataAttributes.new({
      auth_credentials: DatadogAPIClient::V2::UpdateTenancyConfigDataAttributesAuthCredentials.new({
        fingerprint: "",
        private_key: '----BEGIN PRIVATE KEY-----\nMIIEvgIBADANBgkqhkiG9w0BAQEFAASCBKgwggSkAgEAAoIBAQCdvSMmlfLyeD4M\nQsA3WlrWBqKdWa5eVV3/uODyqT3wWMEMIJHcG3/quNs8nh9xrK1/JkQT2qoKEHqR\nC5k59jN6Vp8em8ARJthMgam9K37ELt+IQ/G8ySTSuqZG8T4cHp/cs3fAclNqttOl\nYnGr4RbVAgMBAAECggEAGZNLGbyCUbIRTW6Kh4d8ZVC+eZtJMqGmGJ3KfVaW8Pjn\nQGWfSuJCEe2o2Y8G3phlidFauICnZ44enXA17Rhi+I/whnr7FIyQk2bR7rv+1Uhc\nmOJygWX5eFFMsledgVAdIAl9Luk2nykx7Un3g6rtbl/Vs+5k4m7ITLFMpCHzsJLU\nnm8kBzDOqY2JUkMd08nL88KL6QywWtal05UESzQpNFXd0e5kxYfexeMCsLsWP0mc\nquMLRbn7NuBjCbe9VU2kmIvcfDDaWjurT7d5m1OXx1cc8p6P4PFZTVyCjdhiWOr3\nLQXZ4/vdZNR3zgEHypRoM6D9Yq99LWUOUEMrdiSLQQKBgQDQkh7C1OtAXnpy7F6R\nW+/I3zBHici2p7A57UT7VECQ1IVGg37/uus83DkuOtdZ33JmHLAVrwLFJvUlbyjx\nl6dc/1ms40L5HFdLgaVtd4k0rSPFeOSDr6evz0lX4yBuzlP0fEh+o3XHW7mwe2G+\nrWCULF/Uqza66fjbCSKMNgLIXQKBgQDBm9nZg/s4S0THWCFNWcB1tXBG0p/sH5eY\nPC1H/VmTEINIixStrS4ufczf31X8rcoSjSbO7+vZDTTATdk7OLn1I2uGFVYl8M59\n86BYT2Hi7cwp7YVzOc/cJigVeBAqSRW/iYYyWBEUTiW1gbkV0sRWwhPp67m+c0sP\nXpY/iEZA2QKBgB1w8tynt4l/jKNaUEMOijt9ndALWATIiOy0XG9pxi9rgGCiwTOS\nDBCsOXoYHjv2eayGUijNaoOv6xzcoxfvQ1WySdNIxTRq1ru20kYwgHKqGgmO9hrM\nmcwMY5r/WZ2qjFlPjeAqbL62aPDLidGjoaVo2iIoBPK/gjxQ/5f0MS4N/YQ0zWoYBueSQ0DGs\n-----END PRIVATE KEY-----',
      }),
      cost_collection_enabled: true,
      home_region: "us-ashburn-1",
      logs_config: DatadogAPIClient::V2::UpdateTenancyConfigDataAttributesLogsConfig.new({
        compartment_tag_filters: [
          "datadog:true",
          "env:prod",
        ],
        enabled: true,
        enabled_services: [
          "service_1",
          "service_2",
        ],
      }),
      metrics_config: DatadogAPIClient::V2::UpdateTenancyConfigDataAttributesMetricsConfig.new({
        compartment_tag_filters: [
          "datadog:true",
          "env:prod",
        ],
        enabled: true,
        excluded_services: [
          "service_1",
          "service_2",
        ],
      }),
      regions_config: DatadogAPIClient::V2::UpdateTenancyConfigDataAttributesRegionsConfig.new({
        available: [
          "us-ashburn-1",
          "us-phoenix-1",
        ],
        disabled: [
          "us-phoenix-1",
        ],
        enabled: [
          "us-ashburn-1",
        ],
      }),
      resource_collection_enabled: true,
      user_ocid: "ocid.user.test",
    }),
    id: "ocid.tenancy.test",
    type: DatadogAPIClient::V2::UpdateTenancyConfigDataType::OCI_TENANCY,
  }),
})
p api_instance.update_tenancy_config("tenancy_ocid", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Update tenancy config returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.UpdateTenancyConfigRequest{
		Data: datadogV2.UpdateTenancyConfigData{
			Attributes: &datadogV2.UpdateTenancyConfigDataAttributes{
				AuthCredentials: &datadogV2.UpdateTenancyConfigDataAttributesAuthCredentials{
					Fingerprint: datadog.PtrString(""),
					PrivateKey: `----BEGIN PRIVATE KEY-----
MIIEvgIBADANBgkqhkiG9w0BAQEFAASCBKgwggSkAgEAAoIBAQCdvSMmlfLyeD4M
QsA3WlrWBqKdWa5eVV3/uODyqT3wWMEMIJHcG3/quNs8nh9xrK1/JkQT2qoKEHqR
C5k59jN6Vp8em8ARJthMgam9K37ELt+IQ/G8ySTSuqZG8T4cHp/cs3fAclNqttOl
YnGr4RbVAgMBAAECggEAGZNLGbyCUbIRTW6Kh4d8ZVC+eZtJMqGmGJ3KfVaW8Pjn
QGWfSuJCEe2o2Y8G3phlidFauICnZ44enXA17Rhi+I/whnr7FIyQk2bR7rv+1Uhc
mOJygWX5eFFMsledgVAdIAl9Luk2nykx7Un3g6rtbl/Vs+5k4m7ITLFMpCHzsJLU
nm8kBzDOqY2JUkMd08nL88KL6QywWtal05UESzQpNFXd0e5kxYfexeMCsLsWP0mc
quMLRbn7NuBjCbe9VU2kmIvcfDDaWjurT7d5m1OXx1cc8p6P4PFZTVyCjdhiWOr3
LQXZ4/vdZNR3zgEHypRoM6D9Yq99LWUOUEMrdiSLQQKBgQDQkh7C1OtAXnpy7F6R
W+/I3zBHici2p7A57UT7VECQ1IVGg37/uus83DkuOtdZ33JmHLAVrwLFJvUlbyjx
l6dc/1ms40L5HFdLgaVtd4k0rSPFeOSDr6evz0lX4yBuzlP0fEh+o3XHW7mwe2G+
rWCULF/Uqza66fjbCSKMNgLIXQKBgQDBm9nZg/s4S0THWCFNWcB1tXBG0p/sH5eY
PC1H/VmTEINIixStrS4ufczf31X8rcoSjSbO7+vZDTTATdk7OLn1I2uGFVYl8M59
86BYT2Hi7cwp7YVzOc/cJigVeBAqSRW/iYYyWBEUTiW1gbkV0sRWwhPp67m+c0sP
XpY/iEZA2QKBgB1w8tynt4l/jKNaUEMOijt9ndALWATIiOy0XG9pxi9rgGCiwTOS
DBCsOXoYHjv2eayGUijNaoOv6xzcoxfvQ1WySdNIxTRq1ru20kYwgHKqGgmO9hrM
mcwMY5r/WZ2qjFlPjeAqbL62aPDLidGjoaVo2iIoBPK/gjxQ/5f0MS4N/YQ0zWoYBueSQ0DGs
-----END PRIVATE KEY-----`,
				},
				CostCollectionEnabled: datadog.PtrBool(true),
				HomeRegion:            datadog.PtrString("us-ashburn-1"),
				LogsConfig: &datadogV2.UpdateTenancyConfigDataAttributesLogsConfig{
					CompartmentTagFilters: []string{
						"datadog:true",
						"env:prod",
					},
					Enabled: datadog.PtrBool(true),
					EnabledServices: []string{
						"service_1",
						"service_2",
					},
				},
				MetricsConfig: &datadogV2.UpdateTenancyConfigDataAttributesMetricsConfig{
					CompartmentTagFilters: []string{
						"datadog:true",
						"env:prod",
					},
					Enabled: datadog.PtrBool(true),
					ExcludedServices: []string{
						"service_1",
						"service_2",
					},
				},
				RegionsConfig: &datadogV2.UpdateTenancyConfigDataAttributesRegionsConfig{
					Available: []string{
						"us-ashburn-1",
						"us-phoenix-1",
					},
					Disabled: []string{
						"us-phoenix-1",
					},
					Enabled: []string{
						"us-ashburn-1",
					},
				},
				ResourceCollectionEnabled: datadog.PtrBool(true),
				UserOcid:                  datadog.PtrString("ocid.user.test"),
			},
			Id:   "ocid.tenancy.test",
			Type: datadogV2.UPDATETENANCYCONFIGDATATYPE_OCI_TENANCY,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOCIIntegrationApi(apiClient)
	resp, r, err := api.UpdateTenancyConfig(ctx, "tenancy_ocid", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OCIIntegrationApi.UpdateTenancyConfig`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OCIIntegrationApi.UpdateTenancyConfig`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Update tenancy config returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OciIntegrationApi;
import com.datadog.api.client.v2.model.TenancyConfig;
import com.datadog.api.client.v2.model.UpdateTenancyConfigData;
import com.datadog.api.client.v2.model.UpdateTenancyConfigDataAttributes;
import com.datadog.api.client.v2.model.UpdateTenancyConfigDataAttributesAuthCredentials;
import com.datadog.api.client.v2.model.UpdateTenancyConfigDataAttributesLogsConfig;
import com.datadog.api.client.v2.model.UpdateTenancyConfigDataAttributesMetricsConfig;
import com.datadog.api.client.v2.model.UpdateTenancyConfigDataAttributesRegionsConfig;
import com.datadog.api.client.v2.model.UpdateTenancyConfigDataType;
import com.datadog.api.client.v2.model.UpdateTenancyConfigRequest;
import java.util.Arrays;
import java.util.Collections;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    OciIntegrationApi apiInstance = new OciIntegrationApi(defaultClient);

    UpdateTenancyConfigRequest body =
        new UpdateTenancyConfigRequest()
            .data(
                new UpdateTenancyConfigData()
                    .attributes(
                        new UpdateTenancyConfigDataAttributes()
                            .authCredentials(
                                new UpdateTenancyConfigDataAttributesAuthCredentials()
                                    .fingerprint("")
                                    .privateKey(
                                        """
----BEGIN PRIVATE KEY-----
MIIEvgIBADANBgkqhkiG9w0BAQEFAASCBKgwggSkAgEAAoIBAQCdvSMmlfLyeD4M
QsA3WlrWBqKdWa5eVV3/uODyqT3wWMEMIJHcG3/quNs8nh9xrK1/JkQT2qoKEHqR
C5k59jN6Vp8em8ARJthMgam9K37ELt+IQ/G8ySTSuqZG8T4cHp/cs3fAclNqttOl
YnGr4RbVAgMBAAECggEAGZNLGbyCUbIRTW6Kh4d8ZVC+eZtJMqGmGJ3KfVaW8Pjn
QGWfSuJCEe2o2Y8G3phlidFauICnZ44enXA17Rhi+I/whnr7FIyQk2bR7rv+1Uhc
mOJygWX5eFFMsledgVAdIAl9Luk2nykx7Un3g6rtbl/Vs+5k4m7ITLFMpCHzsJLU
nm8kBzDOqY2JUkMd08nL88KL6QywWtal05UESzQpNFXd0e5kxYfexeMCsLsWP0mc
quMLRbn7NuBjCbe9VU2kmIvcfDDaWjurT7d5m1OXx1cc8p6P4PFZTVyCjdhiWOr3
LQXZ4/vdZNR3zgEHypRoM6D9Yq99LWUOUEMrdiSLQQKBgQDQkh7C1OtAXnpy7F6R
W+/I3zBHici2p7A57UT7VECQ1IVGg37/uus83DkuOtdZ33JmHLAVrwLFJvUlbyjx
l6dc/1ms40L5HFdLgaVtd4k0rSPFeOSDr6evz0lX4yBuzlP0fEh+o3XHW7mwe2G+
rWCULF/Uqza66fjbCSKMNgLIXQKBgQDBm9nZg/s4S0THWCFNWcB1tXBG0p/sH5eY
PC1H/VmTEINIixStrS4ufczf31X8rcoSjSbO7+vZDTTATdk7OLn1I2uGFVYl8M59
86BYT2Hi7cwp7YVzOc/cJigVeBAqSRW/iYYyWBEUTiW1gbkV0sRWwhPp67m+c0sP
XpY/iEZA2QKBgB1w8tynt4l/jKNaUEMOijt9ndALWATIiOy0XG9pxi9rgGCiwTOS
DBCsOXoYHjv2eayGUijNaoOv6xzcoxfvQ1WySdNIxTRq1ru20kYwgHKqGgmO9hrM
mcwMY5r/WZ2qjFlPjeAqbL62aPDLidGjoaVo2iIoBPK/gjxQ/5f0MS4N/YQ0zWoYBueSQ0DGs
-----END PRIVATE KEY-----
"""))
                            .costCollectionEnabled(true)
                            .homeRegion("us-ashburn-1")
                            .logsConfig(
                                new UpdateTenancyConfigDataAttributesLogsConfig()
                                    .compartmentTagFilters(
                                        Arrays.asList("datadog:true", "env:prod"))
                                    .enabled(true)
                                    .enabledServices(Arrays.asList("service_1", "service_2")))
                            .metricsConfig(
                                new UpdateTenancyConfigDataAttributesMetricsConfig()
                                    .compartmentTagFilters(
                                        Arrays.asList("datadog:true", "env:prod"))
                                    .enabled(true)
                                    .excludedServices(Arrays.asList("service_1", "service_2")))
                            .regionsConfig(
                                new UpdateTenancyConfigDataAttributesRegionsConfig()
                                    .available(Arrays.asList("us-ashburn-1", "us-phoenix-1"))
                                    .disabled(Collections.singletonList("us-phoenix-1"))
                                    .enabled(Collections.singletonList("us-ashburn-1")))
                            .resourceCollectionEnabled(true)
                            .userOcid("ocid.user.test"))
                    .id("ocid.tenancy.test")
                    .type(UpdateTenancyConfigDataType.OCI_TENANCY));

    try {
      TenancyConfig result = apiInstance.updateTenancyConfig("tenancy_ocid", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling OciIntegrationApi#updateTenancyConfig");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Update tenancy config returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_oci_integration::OCIIntegrationAPI;
use datadog_api_client::datadogV2::model::UpdateTenancyConfigData;
use datadog_api_client::datadogV2::model::UpdateTenancyConfigDataAttributes;
use datadog_api_client::datadogV2::model::UpdateTenancyConfigDataAttributesAuthCredentials;
use datadog_api_client::datadogV2::model::UpdateTenancyConfigDataAttributesLogsConfig;
use datadog_api_client::datadogV2::model::UpdateTenancyConfigDataAttributesMetricsConfig;
use datadog_api_client::datadogV2::model::UpdateTenancyConfigDataAttributesRegionsConfig;
use datadog_api_client::datadogV2::model::UpdateTenancyConfigDataType;
use datadog_api_client::datadogV2::model::UpdateTenancyConfigRequest;

#[tokio::main]
async fn main() {
    let body = UpdateTenancyConfigRequest::new(
        UpdateTenancyConfigData::new(
            "ocid.tenancy.test".to_string(),
            UpdateTenancyConfigDataType::OCI_TENANCY,
        )
        .attributes(
            UpdateTenancyConfigDataAttributes::new()
                .auth_credentials(
                    UpdateTenancyConfigDataAttributesAuthCredentials::new(
                        r#"----BEGIN PRIVATE KEY-----
MIIEvgIBADANBgkqhkiG9w0BAQEFAASCBKgwggSkAgEAAoIBAQCdvSMmlfLyeD4M
QsA3WlrWBqKdWa5eVV3/uODyqT3wWMEMIJHcG3/quNs8nh9xrK1/JkQT2qoKEHqR
C5k59jN6Vp8em8ARJthMgam9K37ELt+IQ/G8ySTSuqZG8T4cHp/cs3fAclNqttOl
YnGr4RbVAgMBAAECggEAGZNLGbyCUbIRTW6Kh4d8ZVC+eZtJMqGmGJ3KfVaW8Pjn
QGWfSuJCEe2o2Y8G3phlidFauICnZ44enXA17Rhi+I/whnr7FIyQk2bR7rv+1Uhc
mOJygWX5eFFMsledgVAdIAl9Luk2nykx7Un3g6rtbl/Vs+5k4m7ITLFMpCHzsJLU
nm8kBzDOqY2JUkMd08nL88KL6QywWtal05UESzQpNFXd0e5kxYfexeMCsLsWP0mc
quMLRbn7NuBjCbe9VU2kmIvcfDDaWjurT7d5m1OXx1cc8p6P4PFZTVyCjdhiWOr3
LQXZ4/vdZNR3zgEHypRoM6D9Yq99LWUOUEMrdiSLQQKBgQDQkh7C1OtAXnpy7F6R
W+/I3zBHici2p7A57UT7VECQ1IVGg37/uus83DkuOtdZ33JmHLAVrwLFJvUlbyjx
l6dc/1ms40L5HFdLgaVtd4k0rSPFeOSDr6evz0lX4yBuzlP0fEh+o3XHW7mwe2G+
rWCULF/Uqza66fjbCSKMNgLIXQKBgQDBm9nZg/s4S0THWCFNWcB1tXBG0p/sH5eY
PC1H/VmTEINIixStrS4ufczf31X8rcoSjSbO7+vZDTTATdk7OLn1I2uGFVYl8M59
86BYT2Hi7cwp7YVzOc/cJigVeBAqSRW/iYYyWBEUTiW1gbkV0sRWwhPp67m+c0sP
XpY/iEZA2QKBgB1w8tynt4l/jKNaUEMOijt9ndALWATIiOy0XG9pxi9rgGCiwTOS
DBCsOXoYHjv2eayGUijNaoOv6xzcoxfvQ1WySdNIxTRq1ru20kYwgHKqGgmO9hrM
mcwMY5r/WZ2qjFlPjeAqbL62aPDLidGjoaVo2iIoBPK/gjxQ/5f0MS4N/YQ0zWoYBueSQ0DGs
-----END PRIVATE KEY-----"#
                            .to_string(),
                    )
                    .fingerprint("".to_string()),
                )
                .cost_collection_enabled(true)
                .home_region("us-ashburn-1".to_string())
                .logs_config(
                    UpdateTenancyConfigDataAttributesLogsConfig::new()
                        .compartment_tag_filters(vec![
                            "datadog:true".to_string(),
                            "env:prod".to_string(),
                        ])
                        .enabled(true)
                        .enabled_services(vec!["service_1".to_string(), "service_2".to_string()]),
                )
                .metrics_config(
                    UpdateTenancyConfigDataAttributesMetricsConfig::new()
                        .compartment_tag_filters(vec![
                            "datadog:true".to_string(),
                            "env:prod".to_string(),
                        ])
                        .enabled(true)
                        .excluded_services(vec!["service_1".to_string(), "service_2".to_string()]),
                )
                .regions_config(
                    UpdateTenancyConfigDataAttributesRegionsConfig::new()
                        .available(vec!["us-ashburn-1".to_string(), "us-phoenix-1".to_string()])
                        .disabled(vec!["us-phoenix-1".to_string()])
                        .enabled(vec!["us-ashburn-1".to_string()]),
                )
                .resource_collection_enabled(true)
                .user_ocid("ocid.user.test".to_string()),
        ),
    );
    let configuration = datadog::Configuration::new();
    let api = OCIIntegrationAPI::with_config(configuration);
    let resp = api
        .update_tenancy_config("tenancy_ocid".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Update tenancy config returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.OCIIntegrationApi(configuration);

const params: v2.OCIIntegrationApiUpdateTenancyConfigRequest = {
  body: {
    data: {
      attributes: {
        authCredentials: {
          fingerprint: "",
          privateKey:
            "----BEGIN PRIVATE KEY-----\nMIIEvgIBADANBgkqhkiG9w0BAQEFAASCBKgwggSkAgEAAoIBAQCdvSMmlfLyeD4M\nQsA3WlrWBqKdWa5eVV3/uODyqT3wWMEMIJHcG3/quNs8nh9xrK1/JkQT2qoKEHqR\nC5k59jN6Vp8em8ARJthMgam9K37ELt+IQ/G8ySTSuqZG8T4cHp/cs3fAclNqttOl\nYnGr4RbVAgMBAAECggEAGZNLGbyCUbIRTW6Kh4d8ZVC+eZtJMqGmGJ3KfVaW8Pjn\nQGWfSuJCEe2o2Y8G3phlidFauICnZ44enXA17Rhi+I/whnr7FIyQk2bR7rv+1Uhc\nmOJygWX5eFFMsledgVAdIAl9Luk2nykx7Un3g6rtbl/Vs+5k4m7ITLFMpCHzsJLU\nnm8kBzDOqY2JUkMd08nL88KL6QywWtal05UESzQpNFXd0e5kxYfexeMCsLsWP0mc\nquMLRbn7NuBjCbe9VU2kmIvcfDDaWjurT7d5m1OXx1cc8p6P4PFZTVyCjdhiWOr3\nLQXZ4/vdZNR3zgEHypRoM6D9Yq99LWUOUEMrdiSLQQKBgQDQkh7C1OtAXnpy7F6R\nW+/I3zBHici2p7A57UT7VECQ1IVGg37/uus83DkuOtdZ33JmHLAVrwLFJvUlbyjx\nl6dc/1ms40L5HFdLgaVtd4k0rSPFeOSDr6evz0lX4yBuzlP0fEh+o3XHW7mwe2G+\nrWCULF/Uqza66fjbCSKMNgLIXQKBgQDBm9nZg/s4S0THWCFNWcB1tXBG0p/sH5eY\nPC1H/VmTEINIixStrS4ufczf31X8rcoSjSbO7+vZDTTATdk7OLn1I2uGFVYl8M59\n86BYT2Hi7cwp7YVzOc/cJigVeBAqSRW/iYYyWBEUTiW1gbkV0sRWwhPp67m+c0sP\nXpY/iEZA2QKBgB1w8tynt4l/jKNaUEMOijt9ndALWATIiOy0XG9pxi9rgGCiwTOS\nDBCsOXoYHjv2eayGUijNaoOv6xzcoxfvQ1WySdNIxTRq1ru20kYwgHKqGgmO9hrM\nmcwMY5r/WZ2qjFlPjeAqbL62aPDLidGjoaVo2iIoBPK/gjxQ/5f0MS4N/YQ0zWoYBueSQ0DGs\n-----END PRIVATE KEY-----",
        },
        costCollectionEnabled: true,
        homeRegion: "us-ashburn-1",
        logsConfig: {
          compartmentTagFilters: ["datadog:true", "env:prod"],
          enabled: true,
          enabledServices: ["service_1", "service_2"],
        },
        metricsConfig: {
          compartmentTagFilters: ["datadog:true", "env:prod"],
          enabled: true,
          excludedServices: ["service_1", "service_2"],
        },
        regionsConfig: {
          available: ["us-ashburn-1", "us-phoenix-1"],
          disabled: ["us-phoenix-1"],
          enabled: ["us-ashburn-1"],
        },
        resourceCollectionEnabled: true,
        userOcid: "ocid.user.test",
      },
      id: "ocid.tenancy.test",
      type: "oci_tenancy",
    },
  },
  tenancyOcid: "tenancy_ocid",
};

apiInstance
  .updateTenancyConfig(params)
  .then((data: v2.TenancyConfig) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
